<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id('id_user');
            $table->string('email', 65)->nullable();
            $table->string('nama_lengkap', 65)->nullable();
            $table->string('nim', 20)->nullable();
            $table->integer('semester')->nullable();
            $table->year('angkatan')->nullable();
            $table->mediumBlob('foto_profil')->nullable();
            $table->year('lv_meta')->nullable();
            $table->timestamps(); // Opsional: tambahkan created_at dan updated_at
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};